start => pootle

# PootleServer

PootleServer provides the translation management system called Pootle and the web-based translation editor.

## Usage

    PootleServer [options]

Options:

--version | show program’s version number and exit
-h, --help | show this help message and exit
-B | fork into background
-o OUTPUT | write output to file
-p PORT, --port=PORT | set port to listen on
--prefsfile=PREFSFILE | use prefs file
--configmodule=CONFIGMODULE | use config module
--instance=INSTANCE | select server instance
--htmldir=HTMLDIR | serve files from html directory
--hostnamelookups | Resolve client IP addresses
--pidfile=PIDFILE | store the server process id here
--debug | run under the python debugger
--trace | output verbose tracing
--servertype=SERVERTYPE | server process model: standard, threaded, forked, dummy
--browsererrors=ERRORLEVEL | level of errors to send to browser: none, message, exception, traceback
--logerrors=ERRORLEVEL | level of errors to send to log: none, message, exception, traceback
--autorestart | automatically restart if the server dies unexpectedly
--socketlock=SOCKETLOCK | use the given lock file / mutex to control binding the socket [used internally]
--runninglock=RUNNINGLOCK | use the given lock file / mutex to control running child processes [used internally]
--maxrequests=MAXREQUESTS | Only serve a limited number of requests
--startbrowser | start a web browser when the server is ready
--watchpid=WATCHPID | Run the webserver as dependent on another process
--refreshstats | refresh the stats files instead of running the webserver
--psyco=MODE | use psyco to speed up the operation, modes: none, full, profile

## Examples

    PootleServer --prefsfile=pootle.prefs --port=81 --logerrors=traceback --autorestart

Run an instance of Pootle using the settings in pootle.prefs running on port 80 and creating a Python tracebback if any error occurs. To access this server on the local machine browser to http://localhost:81//. Automatically restart the server if it crashes.

    PootleServer --browsererrors=traceback --startbrowser

You want to see errors in the browser but also want Pootle to launch your webbrowser and browse to the local server. You can use this for testing or when using Pootle as a local editor.

    PootleServer --refreshstats

If you want to update the statistics data without running the Pootle server then use --refreshstats

## Bugs

The -B option to background Pootle does not detach correctly from the terminal, rather use input redirection to files and the nohup command. The following should also work, though:

    Pootleserver -B < /dev/null >> /var/log/pootle 2>&1

The interface for doing some tasks can be confusing